# WavPack

WavPack reading and writing.

WavPack is a lossless format that uses APEv2 tags. Read

- http://www.wavpack.com/

- http://www.wavpack.com/file_format.txt

for more information.

class mutagen.wavpack.WavPack(filething)

  Bases: `APEv2File`

  Parameters:

    filething (filething)

  info
    Type:

      `WavPackInfo`

  static score(filename, fileobj, header)

    Returns a score for how likely the file can be parsed by this type.

    Parameters:

      - filename (fspath) – a file path

      - fileobj (fileobj) – a file object open in rb mode. Position is undefined

      - header (bytes) – data of undefined length, starts with the start of the file.

    Returns:

      negative if definitely not a matching type, otherwise a score,

        the bigger the more certain that the file can be loaded.

    Return type:

      int

class mutagen.wavpack.WavPackInfo(fileobj)

  WavPack stream information.

  channels

    number of audio channels (1 or 2)

    Type:

      int

  length

    file length in seconds, as a float

    Type:

      float

  sample_rate

    audio sampling rate in Hz

    Type:

      int

  bits_per_sample

    audio sample size

    Type:

      int

  version

    WavPack stream version

    Type:

      int

  pprint()
    Returns:

      Print stream information

    Return type:

      text